Add a web page by URL
POST
https://server.heyrik.com/api/v1/agents/{id}/knowledgePath parameters
idRequiredReplace {id} in the request URL with the value for this resource.
Headers
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Parameters 2
Fields documented for this operation. See the request example for placement and structure.
urlstringRequiredPage to fetch and extract.
namestringLabel for the dashboard.
Response
No response example is documented for this operation yet.
Error referencePOST/agents/{id}/knowledge
cURL
curl -X POST https://server.heyrik.com/api/v1/agents/agc_9f2a1c30/knowledge \
-H "Authorization: Bearer $HEYRIK_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "url": "https://acme.com/refund-policy", "name": "Refund policy" }'Illustrative examples · No live request is sent
